Loading...
Searching...
No Matches
Line3.h File Reference

4 dimensional manifold of 3D lines More...

Go to the source code of this file.

## Classes

class | gtsam::Line3
| A 3D line (R,a,b) : (Rot3,Scalar,Scalar). More...
struct | gtsam::traits< Line3 >
struct | gtsam::traits< const Line3 >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

Line3 | gtsam::transformTo (const Pose3 &wTc, const Line3 &wL, OptionalJacobian< 4, 6 > Dpose=boost::none, OptionalJacobian< 4, 4 > Dline=boost::none)
| Transform a line from world to camera frame.

## Detailed Description

4 dimensional manifold of 3D lines

Author
  Akshay Krishnan
  Frank Dellaert